#205 e.safej.bind-var-to-varName=false breaks universal scope's

Need_by_1.0
closed-fixed
4
2014-08-16
2005-07-15
No

FIXED
At the thread starting at
http://www.eros-os.org/pipermail/e-lang/2003-November/009222.html
, Kevin Reid correctly reports

I just installed E 0.8.23d. I set
e.safej.bind-var-to-varName to false.
Doing so caused this problem:

? float64
# problem: <NoSuchMethodException: <a
Double__Maker>.TYPE/0>
#
# <import:java.lang.Double>.TYPE()
# <import:java.lang.Double>.TYPE()
# <import:java.lang.Double>.TYPE()
# e`float64`.eval(<an OuterScope>)
# *** @
<jar:file:/Stuff/e/e.jar!/org/erights/e/elang/cmd/cmdMakerMaker.emaker#:
span::75:25::75:28>

Assuming that the statement in eprops.txt that "This
binding is hereby
deprecated, and we expect to set this property to false
by default in a
future release." is true, then this should be corrected
to be getTYPE().

The relevant code appears to be in
jsrc/org/erights/e/elang/interp/ScopeSetup.java lines
179 and 182.

Other occurrences of .TYPE():

$ grep -rn '[. ]TYPE(' src/
src/esrc/caplets/capWebServer/sampleDocRoot/ewalnut.html:1432:
def byte := &lt;unsafe:java.lang.Byte&gt; TYPE()
src/esrc/com/skyhunter/capDesk/makeFileNavigatorAuthor.emaker:8:
def byte := <import:java.lang.Byte> TYPE()
src/esrc/scripts/webServer/ewalnut.html:1432:
def byte := &lt;unsafe:java.lang.Byte&gt; TYPE()
src/jsrc/org/erights/e/elang/interp/ScopeSetup.java:179:
"<import:java.lang.Double> TYPE(), \"float64\")");
src/jsrc/org/erights/e/elang/interp/ScopeSetup.java:182:
"<import:java.lang.Character> TYPE(), \"char\")");

Followups

Comment Date By
As of E 0.8.26b, e.safej.bind-var-to-varName is set to
false by default. While we probably still haven't fixed
many of the things broken by this change, we have fixed
all the ones we know about, including the problem
reported here by Kevin. Because we currently have no
known bugs as a result of this change, I'm closing this
one out. However, I do expect to see more such bugs
reported. 2004-Feb-01 22:58 markm

Discussion

  • Steve Jenson

    Steve Jenson - 2005-07-18
    • status: open --> closed-fixed
     
  • Mark Samuel Miller

    • assigned_to: nobody --> caplet
     

Log in to post a comment.